-- | Audio to control rate converter.
module Sound.SC3.UGen.Record.A2K where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data A2K = A2K {
  in :: S.UGen
  } deriving (Show)
a2K :: A2K
a2K = A2K {
  in = 0.0
  }
mkA2K :: A2K -> S.UGen
mkA2K (A2K  a') = S.mkOsc S.KR "A2K" [a'] 1
instance Make A2K where
  ugen = mkA2K
