-- | (Undocumented class)
module Sound.SC3.UGen.Record.BFEncode2 where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data BFEncode2 = BFEncode2 {
  in :: S.UGen,
  point_x :: S.UGen,
  point_y :: S.UGen,
  elevation :: S.UGen,
  gain :: S.UGen,
  wComp :: S.UGen
  } deriving (Show)
bFEncode2 :: BFEncode2
bFEncode2 = BFEncode2 {
  in = 0.0,
  point_x = 1.0,
  point_y = 1.0,
  elevation = 0.0,
  gain = 1.0,
  wComp = 0.0
  }
mkBFEncode2 :: BFEncode2 -> S.UGen
mkBFEncode2 (BFEncode2  a' b' c' d' e' f') = S.mkOsc S.AR "BFEncode2" [a',b',c',d',e',f'] 4
instance Make BFEncode2 where
  ugen = mkBFEncode2
