-- | Hi Shelf
module Sound.SC3.UGen.Record.BHiShelf where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data BHiShelf = BHiShelf {
  in :: S.UGen,
  freq :: S.UGen,
  rs :: S.UGen,
  db :: S.UGen
  } deriving (Show)
bHiShelf :: BHiShelf
bHiShelf = BHiShelf {
  in = 0.0,
  freq = 1200.0,
  rs = 1.0,
  db = 0.0
  }
mkBHiShelf :: BHiShelf -> S.UGen
mkBHiShelf (BHiShelf  a' b' c' d') = S.mkOsc S.AR "BHiShelf" [a',b',c',d'] 1
instance Make BHiShelf where
  ugen = mkBHiShelf
