-- | Autocorrelation beat tracker
module Sound.SC3.UGen.Record.BeatTrack where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data BeatTrack = BeatTrack {
  chain :: S.UGen,
  lock :: S.UGen
  } deriving (Show)
beatTrack :: BeatTrack
beatTrack = BeatTrack {
  chain = 0.0,
  lock = 0.0
  }
mkBeatTrack :: BeatTrack -> S.UGen
mkBeatTrack (BeatTrack  a' b') = S.mkOsc S.KR "BeatTrack" [a',b'] 4
instance Make BeatTrack where
  ugen = mkBeatTrack
