-- | (Undocumented class)
module Sound.SC3.UGen.Record.BufGrainBBF where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data BufGrainBBF = BufGrainBBF {
  trigger :: S.UGen,
  dur :: S.UGen,
  sndbuf :: S.UGen,
  rate :: S.UGen,
  pos :: S.UGen,
  envbuf :: S.UGen,
  azimuth :: S.UGen,
  elevation :: S.UGen,
  rho :: S.UGen,
  interp :: S.UGen,
  wComp :: S.UGen
  } deriving (Show)
bufGrainBBF :: BufGrainBBF
bufGrainBBF = BufGrainBBF {
  trigger = 0.0,
  dur = 1.0,
  sndbuf = 0.0,
  rate = 1.0,
  pos = 0.0,
  envbuf = 0.0,
  azimuth = 0.0,
  elevation = 0.0,
  rho = 1.0,
  interp = 2.0,
  wComp = 0.0
  }
mkBufGrainBBF :: BufGrainBBF -> S.UGen
mkBufGrainBBF (BufGrainBBF  a' b' c' d' e' f' g' h' i' j' k') = S.mkOsc S.AR "BufGrainBBF" [a',b',c',d',e',f',g',h',i',j',k'] 4
instance Make BufGrainBBF where
  ugen = mkBufGrainBBF
