-- | Chaotic noise function.
module Sound.SC3.UGen.Record.Crackle where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Crackle = Crackle {
  rate :: S.Rate,
  chaosParam :: S.UGen
  } deriving (Show)
crackle :: Crackle
crackle = Crackle {
  rate = S.AR,
  chaosParam = 1.5
  }
mkCrackle :: Crackle -> S.UGen
mkCrackle (Crackle r a') = S.mkOsc r "Crackle" [a'] 1
instance Make Crackle where
  ugen = mkCrackle
