-- | Create a constant amplitude signal
module Sound.SC3.UGen.Record.DC where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data DC = DC {
  rate :: S.Rate,
  in :: S.UGen
  } deriving (Show)
dC :: DC
dC = DC {
  rate = S.AR,
  in = 0.0
  }
mkDC :: DC -> S.UGen
mkDC (DC r a') = S.mkOsc r "DC" [a'] 1
instance Make DC where
  ugen = mkDC
