-- | Demand rate brownian movement generator.
module Sound.SC3.UGen.Record.Dbrown where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Dbrown = Dbrown {
  lo :: S.UGen,
  hi :: S.UGen,
  step :: S.UGen,
  length :: S.UGen
  } deriving (Show)
dbrown :: Dbrown
dbrown = Dbrown {
  lo = 0.0,
  hi = 1.0,
  step = 0.01,
  length = 100000000.0
  }
mkDbrown :: Dbrown -> S.UGen
mkDbrown (Dbrown  a' b' c' d') = S.mkOsc S.DR "Dbrown" [a',b',c',d'] 1
instance Make Dbrown where
  ugen = mkDbrown
