-- | Write to a buffer for a DelTapRd UGen
module Sound.SC3.UGen.Record.DelTapWr where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data DelTapWr = DelTapWr {
  rate :: S.Rate,
  buffer :: S.UGen,
  in :: S.UGen
  } deriving (Show)
delTapWr :: DelTapWr
delTapWr = DelTapWr {
  rate = S.AR,
  buffer = 0.0,
  in = 0.0
  }
mkDelTapWr :: DelTapWr -> S.UGen
mkDelTapWr (DelTapWr r a' b') = S.mkOsc r "DelTapWr" [a',b'] 1
instance Make DelTapWr where
  ugen = mkDelTapWr
