-- | Demand rate brownian movement generator.
module Sound.SC3.UGen.Record.Dibrown where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Dibrown = Dibrown {
  lo :: S.UGen,
  hi :: S.UGen,
  step :: S.UGen,
  length :: S.UGen
  } deriving (Show)
dibrown :: Dibrown
dibrown = Dibrown {
  lo = 0.0,
  hi = 1.0,
  step = 0.01,
  length = 100000000.0
  }
mkDibrown :: Dibrown -> S.UGen
mkDibrown (Dibrown  a' b' c' d') = S.mkOsc S.DR "Dibrown" [a',b',c',d'] 1
instance Make Dibrown where
  ugen = mkDibrown
