-- | (Undocumented class)
module Sound.SC3.UGen.Record.DoubleWell2 where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data DoubleWell2 = DoubleWell2 {
  reset :: S.UGen,
  ratex :: S.UGen,
  ratey :: S.UGen,
  f :: S.UGen,
  w :: S.UGen,
  delta :: S.UGen,
  initx :: S.UGen,
  inity :: S.UGen
  } deriving (Show)
doubleWell2 :: DoubleWell2
doubleWell2 = DoubleWell2 {
  reset = 0.0,
  ratex = 0.01,
  ratey = 0.01,
  f = 1.0,
  w = 0.001,
  delta = 1.0,
  initx = 0.0,
  inity = 0.0
  }
mkDoubleWell2 :: DoubleWell2 -> S.UGen
mkDoubleWell2 (DoubleWell2  a' b' c' d' e' f' g' h') = S.mkOsc S.AR "DoubleWell2" [a',b',c',d',e',f',g',h'] 1
instance Make DoubleWell2 where
  ugen = mkDoubleWell2
