-- | Demand rate generator for switching between inputs.
module Sound.SC3.UGen.Record.Dswitch1 where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Dswitch1 = Dswitch1 {
  list :: S.UGen,
  index :: S.UGen
  } deriving (Show)
dswitch1 :: Dswitch1
dswitch1 = Dswitch1 {
  list = 0.0,
  index = 0.0
  }
mkDswitch1 :: Dswitch1 -> S.UGen
mkDswitch1 (Dswitch1  a' b') = S.mkOsc S.DR "Dswitch1" [a',b'] 1
instance Make Dswitch1 where
  ugen = mkDswitch1
