-- | (Undocumented class)
module Sound.SC3.UGen.Record.FMGrainBBF where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data FMGrainBBF = FMGrainBBF {
  trigger :: S.UGen,
  dur :: S.UGen,
  carfreq :: S.UGen,
  modfreq :: S.UGen,
  index :: S.UGen,
  envbuf :: S.UGen,
  azimuth :: S.UGen,
  elevation :: S.UGen,
  rho :: S.UGen,
  wComp :: S.UGen
  } deriving (Show)
fMGrainBBF :: FMGrainBBF
fMGrainBBF = FMGrainBBF {
  trigger = 0.0,
  dur = 1.0,
  carfreq = 440.0,
  modfreq = 200.0,
  index = 1.0,
  envbuf = 0.0,
  azimuth = 0.0,
  elevation = 0.0,
  rho = 1.0,
  wComp = 0.0
  }
mkFMGrainBBF :: FMGrainBBF -> S.UGen
mkFMGrainBBF (FMGrainBBF  a' b' c' d' e' f' g' h' i' j') = S.mkOsc S.AR "FMGrainBBF" [a',b',c',d',e',f',g',h',i',j'] 4
instance Make FMGrainBBF where
  ugen = mkFMGrainBBF
