-- | (Undocumented class)
module Sound.SC3.UGen.Record.FMHEncode1 where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data FMHEncode1 = FMHEncode1 {
  in :: S.UGen,
  azimuth :: S.UGen,
  elevation :: S.UGen,
  rho :: S.UGen,
  gain :: S.UGen,
  wComp :: S.UGen
  } deriving (Show)
fMHEncode1 :: FMHEncode1
fMHEncode1 = FMHEncode1 {
  in = 0.0,
  azimuth = 0.0,
  elevation = 0.0,
  rho = 1.0,
  gain = 1.0,
  wComp = 0.0
  }
mkFMHEncode1 :: FMHEncode1 -> S.UGen
mkFMHEncode1 (FMHEncode1  a' b' c' d' e' f') = S.mkOsc S.AR "FMHEncode1" [a',b',c',d',e',f'] 9
instance Make FMHEncode1 where
  ugen = mkFMHEncode1
