-- | A reverb
module Sound.SC3.UGen.Record.FreeVerb where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data FreeVerb = FreeVerb {
  in :: S.UGen,
  mix :: S.UGen,
  room :: S.UGen,
  damp :: S.UGen
  } deriving (Show)
freeVerb :: FreeVerb
freeVerb = FreeVerb {
  in = 0.0,
  mix = 0.33,
  room = 0.5,
  damp = 0.5
  }
mkFreeVerb :: FreeVerb -> S.UGen
mkFreeVerb (FreeVerb  a' b' c' d') = S.mkOsc S.AR "FreeVerb" [a',b',c',d'] 1
instance Make FreeVerb where
  ugen = mkFreeVerb
