-- | Frequency Shifter.
module Sound.SC3.UGen.Record.FreqShift where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data FreqShift = FreqShift {
  in :: S.UGen,
  freq :: S.UGen,
  phase :: S.UGen
  } deriving (Show)
freqShift :: FreqShift
freqShift = FreqShift {
  in = 0.0,
  freq = 0.0,
  phase = 0.0
  }
mkFreqShift :: FreqShift -> S.UGen
mkFreqShift (FreqShift  a' b' c') = S.mkOsc S.AR "FreqShift" [a',b',c'] 1
instance Make FreqShift where
  ugen = mkFreqShift
