-- | (Undocumented class)
module Sound.SC3.UGen.Record.Gbman2DL where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Gbman2DL = Gbman2DL {
  rate :: S.Rate,
  minfreq :: S.UGen,
  maxfreq :: S.UGen,
  x0 :: S.UGen,
  y0 :: S.UGen
  } deriving (Show)
gbman2DL :: Gbman2DL
gbman2DL = Gbman2DL {
  rate = S.AR,
  minfreq = 11025.0,
  maxfreq = 22050.0,
  x0 = 1.2,
  y0 = 2.1
  }
mkGbman2DL :: Gbman2DL -> S.UGen
mkGbman2DL (Gbman2DL r a' b' c' d') = S.mkOsc r "Gbman2DL" [a',b',c',d'] 1
instance Make Gbman2DL where
  ugen = mkGbman2DL
