-- | (Undocumented class)
module Sound.SC3.UGen.Record.GlitchHPF where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data GlitchHPF = GlitchHPF {
  rate :: S.Rate,
  in :: S.UGen,
  freq :: S.UGen
  } deriving (Show)
glitchHPF :: GlitchHPF
glitchHPF = GlitchHPF {
  rate = S.AR,
  in = 0.0,
  freq = 440.0
  }
mkGlitchHPF :: GlitchHPF -> S.UGen
mkGlitchHPF (GlitchHPF r a' b') = S.mkOsc r "GlitchHPF" [a',b'] 1
instance Make GlitchHPF where
  ugen = mkGlitchHPF
