-- | Single integer random number generator.
module Sound.SC3.UGen.Record.IRand where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data IRand = IRand {
  lo :: S.UGen,
  hi :: S.UGen
  } deriving (Show)
iRand :: IRand
iRand = IRand {
  lo = 0.0,
  hi = 127.0
  }
mkIRand :: IRand -> S.UGen
mkIRand (IRand  a' b') = S.mkOsc S.IR "IRand" [a',b'] 1
instance Make IRand where
  ugen = mkIRand
