-- | (Undocumented class)
module Sound.SC3.UGen.Record.KMeansRT where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data KMeansRT = KMeansRT {
  bufnum :: S.UGen,
  inputdata :: S.UGen,
  k :: S.UGen,
  gate :: S.UGen,
  reset :: S.UGen,
  learn :: S.UGen
  } deriving (Show)
kMeansRT :: KMeansRT
kMeansRT = KMeansRT {
  bufnum = 0.0,
  inputdata = 0.0,
  k = 5.0,
  gate = 1.0,
  reset = 0.0,
  learn = 1.0
  }
mkKMeansRT :: KMeansRT -> S.UGen
mkKMeansRT (KMeansRT  a' b' c' d' e' f') = S.mkOsc S.KR "KMeansRT" [a',b',c',d',e',f'] 1
instance Make KMeansRT where
  ugen = mkKMeansRT
