-- | Triangle oscillator
module Sound.SC3.UGen.Record.LFTri where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data LFTri = LFTri {
  rate :: S.Rate,
  freq :: S.UGen,
  iphase :: S.UGen
  } deriving (Show)
lFTri :: LFTri
lFTri = LFTri {
  rate = S.AR,
  freq = 440.0,
  iphase = 0.0
  }
mkLFTri :: LFTri -> S.UGen
mkLFTri (LFTri r a' b') = S.mkOsc r "LFTri" [a',b'] 1
instance Make LFTri where
  ugen = mkLFTri
