-- | Exponential lag
module Sound.SC3.UGen.Record.Lag where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Lag = Lag {
  rate :: S.Rate,
  in :: S.UGen,
  lagTime :: S.UGen
  } deriving (Show)
lag :: Lag
lag = Lag {
  rate = S.AR,
  in = 0.0,
  lagTime = 0.1
  }
mkLag :: Lag -> S.UGen
mkLag (Lag r a' b') = S.mkOsc r "Lag" [a',b'] 1
instance Make Lag where
  ugen = mkLag
