-- | Exponential lag
module Sound.SC3.UGen.Record.Lag2 where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Lag2 = Lag2 {
  rate :: S.Rate,
  in :: S.UGen,
  lagTime :: S.UGen
  } deriving (Show)
lag2 :: Lag2
lag2 = Lag2 {
  rate = S.AR,
  in = 0.0,
  lagTime = 0.1
  }
mkLag2 :: Lag2 -> S.UGen
mkLag2 (Lag2 r a' b') = S.mkOsc r "Lag2" [a',b'] 1
instance Make Lag2 where
  ugen = mkLag2
