-- | (Undocumented class)
module Sound.SC3.UGen.Record.LoopBuf where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data LoopBuf = LoopBuf {
  bufnum :: S.UGen,
  rate :: S.UGen,
  gate :: S.UGen,
  startPos :: S.UGen,
  startLoop :: S.UGen,
  endLoop :: S.UGen,
  interpolation :: S.UGen
  } deriving (Show)
loopBuf :: LoopBuf
loopBuf = LoopBuf {
  bufnum = 0.0,
  rate = 1.0,
  gate = 1.0,
  startPos = 0.0,
  startLoop = 0.0,
  endLoop = 0.0,
  interpolation = 2.0
  }
mkLoopBuf :: LoopBuf -> S.UGen
mkLoopBuf (LoopBuf  a' b' c' d' e' f' g') = S.mkOsc S.AR "LoopBuf" [a',b',c',d',e',f',g'] undefined
instance Make LoopBuf where
  ugen = mkLoopBuf
