-- | (Undocumented class)
module Sound.SC3.UGen.Record.MonoGrainBF where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data MonoGrainBF = MonoGrainBF {
  in :: S.UGen,
  winsize :: S.UGen,
  grainrate :: S.UGen,
  winrandpct :: S.UGen,
  azimuth :: S.UGen,
  azrand :: S.UGen,
  elevation :: S.UGen,
  elrand :: S.UGen,
  rho :: S.UGen
  } deriving (Show)
monoGrainBF :: MonoGrainBF
monoGrainBF = MonoGrainBF {
  in = 0.0,
  winsize = 0.1,
  grainrate = 10.0,
  winrandpct = 0.0,
  azimuth = 0.0,
  azrand = 0.0,
  elevation = 0.0,
  elrand = 0.0,
  rho = 1.0
  }
mkMonoGrainBF :: MonoGrainBF -> S.UGen
mkMonoGrainBF (MonoGrainBF  a' b' c' d' e' f' g' h' i') = S.mkOsc S.AR "MonoGrainBF" [a',b',c',d',e',f',g',h',i'] 4
instance Make MonoGrainBF where
  ugen = mkMonoGrainBF
