-- | (Undocumented class)
module Sound.SC3.UGen.Record.Oregonator where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Oregonator = Oregonator {
  reset :: S.UGen,
  rate :: S.UGen,
  epsilon :: S.UGen,
  mu :: S.UGen,
  q :: S.UGen,
  initx :: S.UGen,
  inity :: S.UGen,
  initz :: S.UGen
  } deriving (Show)
oregonator :: Oregonator
oregonator = Oregonator {
  reset = 0.0,
  rate = 0.01,
  epsilon = 1.0,
  mu = 1.0,
  q = 1.0,
  initx = 0.5,
  inity = 0.5,
  initz = 0.5
  }
mkOregonator :: Oregonator -> S.UGen
mkOregonator (Oregonator  a' b' c' d' e' f' g' h') = S.mkOsc S.AR "Oregonator" [a',b',c',d',e',f',g',h'] 3
instance Make Oregonator where
  ugen = mkOregonator
