-- | Complex plane attack.
module Sound.SC3.UGen.Record.PV_ConformalMap where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data PV_ConformalMap = PV_ConformalMap {
  buffer :: S.UGen,
  areal :: S.UGen,
  aimag :: S.UGen
  } deriving (Show)
pV_ConformalMap :: PV_ConformalMap
pV_ConformalMap = PV_ConformalMap {
  buffer = 0.0,
  areal = 0.0,
  aimag = 0.0
  }
mkPV_ConformalMap :: PV_ConformalMap -> S.UGen
mkPV_ConformalMap (PV_ConformalMap  a' b' c') = S.mkOsc S.KR "PV_ConformalMap" [a',b',c'] 1
instance Make PV_ConformalMap where
  ugen = mkPV_ConformalMap
