-- | Pass bins below a threshold.
module Sound.SC3.UGen.Record.PV_MagBelow where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data PV_MagBelow = PV_MagBelow {
  buffer :: S.UGen,
  threshold :: S.UGen
  } deriving (Show)
pV_MagBelow :: PV_MagBelow
pV_MagBelow = PV_MagBelow {
  buffer = 0.0,
  threshold = 0.0
  }
mkPV_MagBelow :: PV_MagBelow -> S.UGen
mkPV_MagBelow (PV_MagBelow  a' b') = S.mkOsc S.KR "PV_MagBelow" [a',b'] 1
instance Make PV_MagBelow where
  ugen = mkPV_MagBelow
