-- | Multiply magnitudes by noise.
module Sound.SC3.UGen.Record.PV_MagNoise where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data PV_MagNoise = PV_MagNoise {
  buffer :: S.UGen
  } deriving (Show)
pV_MagNoise :: PV_MagNoise
pV_MagNoise = PV_MagNoise {
  buffer = 0.0
  }
mkPV_MagNoise :: PV_MagNoise -> S.UGen
mkPV_MagNoise (PV_MagNoise  a') = S.mkOsc S.KR "PV_MagNoise" [a'] 1
instance Make PV_MagNoise where
  ugen = mkPV_MagNoise
