-- | Minimum magnitude.
module Sound.SC3.UGen.Record.PV_Min where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data PV_Min = PV_Min {
  bufferA :: S.UGen,
  bufferB :: S.UGen
  } deriving (Show)
pV_Min :: PV_Min
pV_Min = PV_Min {
  bufferA = 0.0,
  bufferB = 0.0
  }
mkPV_Min :: PV_Min -> S.UGen
mkPV_Min (PV_Min  a' b') = S.mkOsc S.KR "PV_Min" [a',b'] 1
instance Make PV_Min where
  ugen = mkPV_Min
