-- | Shift phase.
module Sound.SC3.UGen.Record.PV_PhaseShift where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data PV_PhaseShift = PV_PhaseShift {
  buffer :: S.UGen,
  shift :: S.UGen,
  integrate :: S.UGen
  } deriving (Show)
pV_PhaseShift :: PV_PhaseShift
pV_PhaseShift = PV_PhaseShift {
  buffer = 0.0,
  shift = 0.0,
  integrate = 0.0
  }
mkPV_PhaseShift :: PV_PhaseShift -> S.UGen
mkPV_PhaseShift (PV_PhaseShift  a' b' c') = S.mkOsc S.KR "PV_PhaseShift" [a',b',c'] 1
instance Make PV_PhaseShift where
  ugen = mkPV_PhaseShift
