-- | When triggered, pause enclosing synth.
module Sound.SC3.UGen.Record.PauseSelf where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data PauseSelf = PauseSelf {
  in :: S.UGen
  } deriving (Show)
pauseSelf :: PauseSelf
pauseSelf = PauseSelf {
  in = 0.0
  }
mkPauseSelf :: PauseSelf -> S.UGen
mkPauseSelf (PauseSelf  a') = S.mkOsc S.KR "PauseSelf" [a'] 1
instance Make PauseSelf where
  ugen = mkPauseSelf
