-- | (Undocumented class)
module Sound.SC3.UGen.Record.Qitch where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Qitch = Qitch {
  in :: S.UGen,
  databufnum :: S.UGen,
  ampThreshold :: S.UGen,
  algoflag :: S.UGen,
  ampbufnum :: S.UGen,
  minfreq :: S.UGen,
  maxfreq :: S.UGen
  } deriving (Show)
qitch :: Qitch
qitch = Qitch {
  in = 0.0,
  databufnum = 0.0,
  ampThreshold = 0.01,
  algoflag = 1.0,
  ampbufnum = 0.0,
  minfreq = 0.0,
  maxfreq = 2500.0
  }
mkQitch :: Qitch -> S.UGen
mkQitch (Qitch  a' b' c' d' e' f' g') = S.mkOsc S.KR "Qitch" [a',b',c',d',e',f',g'] 2
instance Make Qitch where
  ugen = mkQitch
