-- | (Undocumented class)
module Sound.SC3.UGen.Record.RFreezer where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data RFreezer = RFreezer {
  rate :: S.Rate,
  bufnum :: S.UGen,
  left :: S.UGen,
  right :: S.UGen,
  gain :: S.UGen,
  increment :: S.UGen,
  incrementOffset :: S.UGen,
  incrementRandom :: S.UGen,
  rightRandom :: S.UGen,
  syncPhaseTrigger :: S.UGen,
  randomizePhaseTrigger :: S.UGen,
  numberOfLoops :: S.UGen
  } deriving (Show)
rFreezer :: RFreezer
rFreezer = RFreezer {
  rate = S.AR,
  bufnum = 0.0,
  left = 0.0,
  right = 1.0,
  gain = 1.0,
  increment = 1.0,
  incrementOffset = 0.0,
  incrementRandom = 0.0,
  rightRandom = 0.0,
  syncPhaseTrigger = 0.0,
  randomizePhaseTrigger = 0.0,
  numberOfLoops = 4.0
  }
mkRFreezer :: RFreezer -> S.UGen
mkRFreezer (RFreezer r a' b' c' d' e' f' g' h' i' j' k') = S.mkOsc r "RFreezer" [a',b',c',d',e',f',g',h',i',j',k'] 1
instance Make RFreezer where
  ugen = mkRFreezer
