-- | (Undocumented class)
module Sound.SC3.UGen.Record.RMAFoodChainL where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data RMAFoodChainL = RMAFoodChainL {
  freq :: S.UGen,
  a1 :: S.UGen,
  b1 :: S.UGen,
  d1 :: S.UGen,
  a2 :: S.UGen,
  b2 :: S.UGen,
  d2 :: S.UGen,
  k :: S.UGen,
  r :: S.UGen,
  h :: S.UGen,
  xi :: S.UGen,
  yi :: S.UGen,
  zi :: S.UGen
  } deriving (Show)
rMAFoodChainL :: RMAFoodChainL
rMAFoodChainL = RMAFoodChainL {
  freq = 22050.0,
  a1 = 5.0,
  b1 = 3.0,
  d1 = 0.4,
  a2 = 0.1,
  b2 = 2.0,
  d2 = 0.01,
  k = 1.0943,
  r = 0.8904,
  h = 0.05,
  xi = 0.1,
  yi = 0.0,
  zi = 0.0
  }
mkRMAFoodChainL :: RMAFoodChainL -> S.UGen
mkRMAFoodChainL (RMAFoodChainL  a' b' c' d' e' f' g' h' i' j' k' l' m') = S.mkOsc S.AR "RMAFoodChainL" [a',b',c',d',e',f',g',h',i',j',k',l',m'] 3
instance Make RMAFoodChainL where
  ugen = mkRMAFoodChainL
