-- | Ringing filter.
module Sound.SC3.UGen.Record.Ringz where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Ringz = Ringz {
  rate :: S.Rate,
  in :: S.UGen,
  freq :: S.UGen,
  decaytime :: S.UGen
  } deriving (Show)
ringz :: Ringz
ringz = Ringz {
  rate = S.AR,
  in = 0.0,
  freq = 440.0,
  decaytime = 1.0
  }
mkRingz :: Ringz -> S.UGen
mkRingz (Ringz r a' b' c') = S.mkOsc r "Ringz" [a',b',c'] 1
instance Make Ringz where
  ugen = mkRingz
