-- | (Undocumented class)
module Sound.SC3.UGen.Record.RosslerResL where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data RosslerResL = RosslerResL {
  in :: S.UGen,
  stiff :: S.UGen,
  freq :: S.UGen,
  a :: S.UGen,
  b :: S.UGen,
  c :: S.UGen,
  h :: S.UGen,
  xi :: S.UGen,
  yi :: S.UGen,
  zi :: S.UGen
  } deriving (Show)
rosslerResL :: RosslerResL
rosslerResL = RosslerResL {
  in = 0.0,
  stiff = 1.0,
  freq = 22050.0,
  a = 0.2,
  b = 0.2,
  c = 5.7,
  h = 0.05,
  xi = 0.1,
  yi = 0.0,
  zi = 0.0
  }
mkRosslerResL :: RosslerResL -> S.UGen
mkRosslerResL (RosslerResL  a' b' c' d' e' f' g' h' i' j') = S.mkOsc S.AR "RosslerResL" [a',b',c',d',e',f',g',h',i',j'] 1
instance Make RosslerResL where
  ugen = mkRosslerResL
