-- | (Undocumented class)
module Sound.SC3.UGen.Record.SMS where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data SMS = SMS {
  input :: S.UGen,
  maxpeaks :: S.UGen,
  currentpeaks :: S.UGen,
  tolerance :: S.UGen,
  noisefloor :: S.UGen,
  freqmult :: S.UGen,
  freqadd :: S.UGen,
  formantpreserve :: S.UGen,
  useifft :: S.UGen,
  ampmult :: S.UGen,
  graphicsbufnum :: S.UGen
  } deriving (Show)
sMS :: SMS
sMS = SMS {
  input = 0.0,
  maxpeaks = 80.0,
  currentpeaks = 80.0,
  tolerance = 4.0,
  noisefloor = 0.2,
  freqmult = 1.0,
  freqadd = 0.0,
  formantpreserve = 0.0,
  useifft = 0.0,
  ampmult = 1.0,
  graphicsbufnum = 0.0
  }
mkSMS :: SMS -> S.UGen
mkSMS (SMS  a' b' c' d' e' f' g' h' i' j' k') = S.mkOsc S.AR "SMS" [a',b',c',d',e',f',g',h',i',j',k'] 2
instance Make SMS where
  ugen = mkSMS
