-- | Audio rate trigger to control rate trigger converter
module Sound.SC3.UGen.Record.T2K where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data T2K = T2K {
  in :: S.UGen
  } deriving (Show)
t2K :: T2K
t2K = T2K {
  in = 0.0
  }
mkT2K :: T2K -> S.UGen
mkT2K (T2K  a') = S.mkOsc S.KR "T2K" [a'] 1
instance Make T2K where
  ugen = mkT2K
