-- | (Undocumented class)
module Sound.SC3.UGen.Record.TBrownRand where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data TBrownRand = TBrownRand {
  rate :: S.Rate,
  lo :: S.UGen,
  hi :: S.UGen,
  dev :: S.UGen,
  dist :: S.UGen,
  trig :: S.UGen
  } deriving (Show)
tBrownRand :: TBrownRand
tBrownRand = TBrownRand {
  rate = S.AR,
  lo = 0.0,
  hi = 1.0,
  dev = 1.0,
  dist = 0.0,
  trig = 0.0
  }
mkTBrownRand :: TBrownRand -> S.UGen
mkTBrownRand (TBrownRand r a' b' c' d' e') = S.mkOsc r "TBrownRand" [a',b',c',d',e'] 1
instance Make TBrownRand where
  ugen = mkTBrownRand
