-- | Triggered random number generator.
module Sound.SC3.UGen.Record.TRand where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data TRand = TRand {
  rate :: S.Rate,
  lo :: S.UGen,
  hi :: S.UGen,
  trig :: S.UGen
  } deriving (Show)
tRand :: TRand
tRand = TRand {
  rate = S.AR,
  lo = 0.0,
  hi = 1.0,
  trig = 0.0
  }
mkTRand :: TRand -> S.UGen
mkTRand (TRand r a' b' c') = S.mkOsc r "TRand" [a',b',c'] 1
instance Make TRand where
  ugen = mkTRand
