-- | Triggered windex.
module Sound.SC3.UGen.Record.TWindex where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data TWindex = TWindex {
  rate :: S.Rate,
  in :: S.UGen,
  array :: S.UGen,
  normalize :: S.UGen
  } deriving (Show)
tWindex :: TWindex
tWindex = TWindex {
  rate = S.AR,
  in = 0.0,
  array = 0.0,
  normalize = 0.0
  }
mkTWindex :: TWindex -> S.UGen
mkTWindex (TWindex r a' b' c') = S.mkOsc r "TWindex" [a',b',c'] 1
instance Make TWindex where
  ugen = mkTWindex
