-- | Warp a buffer with a time pointer
module Sound.SC3.UGen.Record.Warp1 where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Warp1 = Warp1 {
  bufnum :: S.UGen,
  pointer :: S.UGen,
  freqScale :: S.UGen,
  windowSize :: S.UGen,
  envbufnum :: S.UGen,
  overlaps :: S.UGen,
  windowRandRatio :: S.UGen,
  interp :: S.UGen
  } deriving (Show)
warp1 :: Warp1
warp1 = Warp1 {
  bufnum = 0.0,
  pointer = 0.0,
  freqScale = 1.0,
  windowSize = 0.2,
  envbufnum = -1.0,
  overlaps = 8.0,
  windowRandRatio = 0.0,
  interp = 1.0
  }
mkWarp1 :: Warp1 -> S.UGen
mkWarp1 (Warp1  a' b' c' d' e' f' g' h') = S.mkOsc S.AR "Warp1" [a',b',c',d',e',f',g',h'] undefined
instance Make Warp1 where
  ugen = mkWarp1
