-- | (Undocumented class)
module Sound.SC3.UGen.Record.WaveLoss where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data WaveLoss = WaveLoss {
  rate :: S.Rate,
  in :: S.UGen,
  drop :: S.UGen,
  outof :: S.UGen,
  mode :: S.UGen
  } deriving (Show)
waveLoss :: WaveLoss
waveLoss = WaveLoss {
  rate = S.AR,
  in = 0.0,
  drop = 20.0,
  outof = 40.0,
  mode = 1.0
  }
mkWaveLoss :: WaveLoss -> S.UGen
mkWaveLoss (WaveLoss r a' b' c' d') = S.mkOsc r "WaveLoss" [a',b',c',d'] 1
instance Make WaveLoss where
  ugen = mkWaveLoss
