-- | (Undocumented class)
module Sound.SC3.UGen.Record.Allpass2 where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Allpass2 = Allpass2 {
  in :: S.UGen,
  freq :: S.UGen,
  rq :: S.UGen
  } deriving (Show)
allpass2 :: Allpass2
allpass2 = Allpass2 {
  in = 0.0,
  freq = 1200.0,
  rq = 1.0
  }
mkAllpass2 :: Allpass2 -> S.UGen
mkAllpass2 (Allpass2  a' b' c') = S.mkOsc S.AR "Allpass2" [a',b',c'] 1
instance Make Allpass2 where
  ugen = mkAllpass2
