-- | All Pass Filter
module Sound.SC3.UGen.Record.BAllPass where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data BAllPass = BAllPass {
  in :: S.UGen,
  freq :: S.UGen,
  rq :: S.UGen
  } deriving (Show)
bAllPass :: BAllPass
bAllPass = BAllPass {
  in = 0.0,
  freq = 1200.0,
  rq = 1.0
  }
mkBAllPass :: BAllPass -> S.UGen
mkBAllPass (BAllPass  a' b' c') = S.mkOsc S.AR "BAllPass" [a',b',c'] 1
instance Make BAllPass where
  ugen = mkBAllPass
