-- | 12db/oct rolloff - 2nd order resonant  Hi Pass Filter
module Sound.SC3.UGen.Record.BHiPass where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data BHiPass = BHiPass {
  in :: S.UGen,
  freq :: S.UGen,
  rq :: S.UGen
  } deriving (Show)
bHiPass :: BHiPass
bHiPass = BHiPass {
  in = 0.0,
  freq = 1200.0,
  rq = 1.0
  }
mkBHiPass :: BHiPass -> S.UGen
mkBHiPass (BHiPass  a' b' c') = S.mkOsc S.AR "BHiPass" [a',b',c'] 1
instance Make BHiPass where
  ugen = mkBHiPass
