-- | Two zero fixed midpass.
module Sound.SC3.UGen.Record.BPZ2 where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data BPZ2 = BPZ2 {
  rate :: S.Rate,
  in :: S.UGen
  } deriving (Show)
bPZ2 :: BPZ2
bPZ2 = BPZ2 {
  rate = S.AR,
  in = 0.0
  }
mkBPZ2 :: BPZ2 -> S.UGen
mkBPZ2 (BPZ2 r a') = S.mkOsc r "BPZ2" [a'] 1
instance Make BPZ2 where
  ugen = mkBPZ2
