-- | Stereo signal balancer
module Sound.SC3.UGen.Record.Balance2 where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Balance2 = Balance2 {
  rate :: S.Rate,
  left :: S.UGen,
  right :: S.UGen,
  pos :: S.UGen,
  level :: S.UGen
  } deriving (Show)
balance2 :: Balance2
balance2 = Balance2 {
  rate = S.AR,
  left = 0.0,
  right = 0.0,
  pos = 0.0,
  level = 1.0
  }
mkBalance2 :: Balance2 -> S.UGen
mkBalance2 (Balance2 r a' b' c' d') = S.mkOsc r "Balance2" [a',b',c',d'] 2
instance Make Balance2 where
  ugen = mkBalance2
