-- | Buffer based simple delay line with no interpolation.
module Sound.SC3.UGen.Record.BufDelayN where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data BufDelayN = BufDelayN {
  rate :: S.Rate,
  buf :: S.UGen,
  in :: S.UGen,
  delaytime :: S.UGen
  } deriving (Show)
bufDelayN :: BufDelayN
bufDelayN = BufDelayN {
  rate = S.AR,
  buf = 0.0,
  in = 0.0,
  delaytime = 0.2
  }
mkBufDelayN :: BufDelayN -> S.UGen
mkBufDelayN (BufDelayN r a' b' c') = S.mkOsc r "BufDelayN" [a',b',c'] 1
instance Make BufDelayN where
  ugen = mkBufDelayN
