-- | Current duration of soundfile in buffer.
module Sound.SC3.UGen.Record.BufDur where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data BufDur = BufDur {
  rate :: S.Rate,
  bufnum :: S.UGen
  } deriving (Show)
bufDur :: BufDur
bufDur = BufDur {
  rate = S.AR,
  bufnum = 0.0
  }
mkBufDur :: BufDur -> S.UGen
mkBufDur (BufDur r a') = S.mkOsc r "BufDur" [a'] 1
instance Make BufDur where
  ugen = mkBufDur
