-- | (Undocumented class)
module Sound.SC3.UGen.Record.BufGrainIBF where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data BufGrainIBF = BufGrainIBF {
  trigger :: S.UGen,
  dur :: S.UGen,
  sndbuf :: S.UGen,
  rate :: S.UGen,
  pos :: S.UGen,
  envbuf1 :: S.UGen,
  envbuf2 :: S.UGen,
  ifac :: S.UGen,
  azimuth :: S.UGen,
  elevation :: S.UGen,
  rho :: S.UGen,
  interp :: S.UGen,
  wComp :: S.UGen
  } deriving (Show)
bufGrainIBF :: BufGrainIBF
bufGrainIBF = BufGrainIBF {
  trigger = 0.0,
  dur = 1.0,
  sndbuf = 0.0,
  rate = 1.0,
  pos = 0.0,
  envbuf1 = 0.0,
  envbuf2 = 0.0,
  ifac = 0.5,
  azimuth = 0.0,
  elevation = 0.0,
  rho = 1.0,
  interp = 2.0,
  wComp = 0.0
  }
mkBufGrainIBF :: BufGrainIBF -> S.UGen
mkBufGrainIBF (BufGrainIBF  a' b' c' d' e' f' g' h' i' j' k' l' m') = S.mkOsc S.AR "BufGrainIBF" [a',b',c',d',e',f',g',h',i',j',k',l',m'] 4
instance Make BufGrainIBF where
  ugen = mkBufGrainIBF
