-- | (Undocumented class)
module Sound.SC3.UGen.Record.Chromagram where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Chromagram = Chromagram {
  fft :: S.UGen,
  fftsize :: S.UGen,
  n :: S.UGen,
  tuningbase :: S.UGen,
  octaves :: S.UGen,
  integrationflag :: S.UGen,
  coeff :: S.UGen
  } deriving (Show)
chromagram :: Chromagram
chromagram = Chromagram {
  fft = 0.0,
  fftsize = 2048.0,
  n = 12.0,
  tuningbase = 32.703195662575,
  octaves = 8.0,
  integrationflag = 0.0,
  coeff = 0.9
  }
mkChromagram :: Chromagram -> S.UGen
mkChromagram (Chromagram  a' b' c' d' e' f' g') = S.mkOsc S.KR "Chromagram" [a',b',c',d',e',f',g'] 1
instance Make Chromagram where
  ugen = mkChromagram
