-- | (Undocumented class)
module Sound.SC3.UGen.Record.ChuaL where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data ChuaL = ChuaL {
  freq :: S.UGen,
  a :: S.UGen,
  b :: S.UGen,
  c :: S.UGen,
  d :: S.UGen,
  rr :: S.UGen,
  h :: S.UGen,
  xi :: S.UGen,
  yi :: S.UGen,
  zi :: S.UGen
  } deriving (Show)
chuaL :: ChuaL
chuaL = ChuaL {
  freq = 22050.0,
  a = 0.3286,
  b = 0.9336,
  c = -0.8126,
  d = 0.399,
  rr = 0.0,
  h = 0.05,
  xi = 0.1,
  yi = 0.0,
  zi = 0.0
  }
mkChuaL :: ChuaL -> S.UGen
mkChuaL (ChuaL  a' b' c' d' e' f' g' h' i' j') = S.mkOsc S.AR "ChuaL" [a',b',c',d',e',f',g',h',i',j'] 1
instance Make ChuaL where
  ugen = mkChuaL
