-- | (Undocumented class)
module Sound.SC3.UGen.Record.CircleRamp where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data CircleRamp = CircleRamp {
  rate :: S.Rate,
  in :: S.UGen,
  lagTime :: S.UGen,
  circmin :: S.UGen,
  circmax :: S.UGen
  } deriving (Show)
circleRamp :: CircleRamp
circleRamp = CircleRamp {
  rate = S.AR,
  in = 0.0,
  lagTime = 0.1,
  circmin = -180.0,
  circmax = 180.0
  }
mkCircleRamp :: CircleRamp -> S.UGen
mkCircleRamp (CircleRamp r a' b' c' d') = S.mkOsc r "CircleRamp" [a',b',c',d'] 1
instance Make CircleRamp where
  ugen = mkCircleRamp
