-- | Statistical gate.
module Sound.SC3.UGen.Record.CoinGate where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data CoinGate = CoinGate {
  rate :: S.Rate,
  prob :: S.UGen,
  in :: S.UGen
  } deriving (Show)
coinGate :: CoinGate
coinGate = CoinGate {
  rate = S.AR,
  prob = 0.0,
  in = 0.0
  }
mkCoinGate :: CoinGate -> S.UGen
mkCoinGate (CoinGate r a' b') = S.mkOsc r "CoinGate" [a',b'] 1
instance Make CoinGate where
  ugen = mkCoinGate
