-- | (Undocumented class)
module Sound.SC3.UGen.Record.CombLP where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data CombLP = CombLP {
  in :: S.UGen,
  gate :: S.UGen,
  maxdelaytime :: S.UGen,
  delaytime :: S.UGen,
  decaytime :: S.UGen,
  coef :: S.UGen
  } deriving (Show)
combLP :: CombLP
combLP = CombLP {
  in = 0.0,
  gate = 1.0,
  maxdelaytime = 0.2,
  delaytime = 0.2,
  decaytime = 1.0,
  coef = 0.5
  }
mkCombLP :: CombLP -> S.UGen
mkCombLP (CombLP  a' b' c' d' e' f') = S.mkOsc S.AR "CombLP" [a',b',c',d',e',f'] 1
instance Make CombLP where
  ugen = mkCombLP
