-- | (Undocumented class)
module Sound.SC3.UGen.Record.Coyote where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Coyote = Coyote {
  in :: S.UGen,
  trackFall :: S.UGen,
  slowLag :: S.UGen,
  fastLag :: S.UGen,
  fastMul :: S.UGen,
  thresh :: S.UGen,
  minDur :: S.UGen
  } deriving (Show)
coyote :: Coyote
coyote = Coyote {
  in = 0.0,
  trackFall = 0.2,
  slowLag = 0.2,
  fastLag = 0.01,
  fastMul = 0.5,
  thresh = 0.05,
  minDur = 0.1
  }
mkCoyote :: Coyote -> S.UGen
mkCoyote (Coyote  a' b' c' d' e' f' g') = S.mkOsc S.KR "Coyote" [a',b',c',d',e',f',g'] 1
instance Make Coyote where
  ugen = mkCoyote
