-- | Simple delay line with no interpolation.
module Sound.SC3.UGen.Record.DelayN where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data DelayN = DelayN {
  rate :: S.Rate,
  in :: S.UGen,
  maxdelaytime :: S.UGen,
  delaytime :: S.UGen
  } deriving (Show)
delayN :: DelayN
delayN = DelayN {
  rate = S.AR,
  in = 0.0,
  maxdelaytime = 0.2,
  delaytime = 0.2
  }
mkDelayN :: DelayN -> S.UGen
mkDelayN (DelayN r a' b' c') = S.mkOsc r "DelayN" [a',b',c'] 1
instance Make DelayN where
  ugen = mkDelayN
