-- | Monitors another UGen to see when it is finished
module Sound.SC3.UGen.Record.Done where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Done = Done {
  src :: S.UGen
  } deriving (Show)
done :: Done
done = Done {
  src = 0.0
  }
mkDone :: Done -> S.UGen
mkDone (Done  a') = S.mkOsc S.KR "Done" [a'] 1
instance Make Done where
  ugen = mkDone
