-- | (Undocumented class)
module Sound.SC3.UGen.Record.DoubleWell3 where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data DoubleWell3 = DoubleWell3 {
  reset :: S.UGen,
  rate :: S.UGen,
  f :: S.UGen,
  delta :: S.UGen,
  initx :: S.UGen,
  inity :: S.UGen
  } deriving (Show)
doubleWell3 :: DoubleWell3
doubleWell3 = DoubleWell3 {
  reset = 0.0,
  rate = 0.01,
  f = 0.0,
  delta = 0.25,
  initx = 0.0,
  inity = 0.0
  }
mkDoubleWell3 :: DoubleWell3 -> S.UGen
mkDoubleWell3 (DoubleWell3  a' b' c' d' e' f') = S.mkOsc S.AR "DoubleWell3" [a',b',c',d',e',f'] 1
instance Make DoubleWell3 where
  ugen = mkDoubleWell3
