-- | Exponential single random number generator.
module Sound.SC3.UGen.Record.ExpRand where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data ExpRand = ExpRand {
  lo :: S.UGen,
  hi :: S.UGen
  } deriving (Show)
expRand :: ExpRand
expRand = ExpRand {
  lo = 0.01,
  hi = 1.0
  }
mkExpRand :: ExpRand -> S.UGen
mkExpRand (ExpRand  a' b') = S.mkOsc S.IR "ExpRand" [a',b'] 1
instance Make ExpRand where
  ugen = mkExpRand
