-- | (Undocumented class)
module Sound.SC3.UGen.Record.FMHEncode2 where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data FMHEncode2 = FMHEncode2 {
  in :: S.UGen,
  point_x :: S.UGen,
  point_y :: S.UGen,
  elevation :: S.UGen,
  gain :: S.UGen,
  wComp :: S.UGen
  } deriving (Show)
fMHEncode2 :: FMHEncode2
fMHEncode2 = FMHEncode2 {
  in = 0.0,
  point_x = 0.0,
  point_y = 0.0,
  elevation = 0.0,
  gain = 1.0,
  wComp = 0.0
  }
mkFMHEncode2 :: FMHEncode2 -> S.UGen
mkFMHEncode2 (FMHEncode2  a' b' c' d' e' f') = S.mkOsc S.AR "FMHEncode2" [a',b',c',d',e',f'] 9
instance Make FMHEncode2 where
  ugen = mkFMHEncode2
