-- | FOF-like filter.
module Sound.SC3.UGen.Record.Formlet where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Formlet = Formlet {
  rate :: S.Rate,
  in :: S.UGen,
  freq :: S.UGen,
  attacktime :: S.UGen,
  decaytime :: S.UGen
  } deriving (Show)
formlet :: Formlet
formlet = Formlet {
  rate = S.AR,
  in = 0.0,
  freq = 440.0,
  attacktime = 1.0,
  decaytime = 1.0
  }
mkFormlet :: Formlet -> S.UGen
mkFormlet (Formlet r a' b' c' d') = S.mkOsc r "Formlet" [a',b',c',d'] 1
instance Make Formlet where
  ugen = mkFormlet
