-- | When triggered, frees a node.
module Sound.SC3.UGen.Record.Free where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Free = Free {
  trig :: S.UGen,
  id :: S.UGen
  } deriving (Show)
free :: Free
free = Free {
  trig = 0.0,
  id = 0.0
  }
mkFree :: Free -> S.UGen
mkFree (Free  a' b') = S.mkOsc S.KR "Free" [a',b'] 1
instance Make Free where
  ugen = mkFree
