-- | (Undocumented class)
module Sound.SC3.UGen.Record.GlitchBPF where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data GlitchBPF = GlitchBPF {
  rate :: S.Rate,
  in :: S.UGen,
  freq :: S.UGen,
  rq :: S.UGen
  } deriving (Show)
glitchBPF :: GlitchBPF
glitchBPF = GlitchBPF {
  rate = S.AR,
  in = 0.0,
  freq = 440.0,
  rq = 1.0
  }
mkGlitchBPF :: GlitchBPF -> S.UGen
mkGlitchBPF (GlitchBPF r a' b' c') = S.mkOsc r "GlitchBPF" [a',b',c'] 1
instance Make GlitchBPF where
  ugen = mkGlitchBPF
