-- | (Undocumented class)
module Sound.SC3.UGen.Record.GlitchRHPF where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data GlitchRHPF = GlitchRHPF {
  rate :: S.Rate,
  in :: S.UGen,
  freq :: S.UGen,
  rq :: S.UGen
  } deriving (Show)
glitchRHPF :: GlitchRHPF
glitchRHPF = GlitchRHPF {
  rate = S.AR,
  in = 0.0,
  freq = 440.0,
  rq = 1.0
  }
mkGlitchRHPF :: GlitchRHPF -> S.UGen
mkGlitchRHPF (GlitchRHPF r a' b' c') = S.mkOsc r "GlitchRHPF" [a',b',c'] 1
instance Make GlitchRHPF where
  ugen = mkGlitchRHPF
