-- | Two point difference filter
module Sound.SC3.UGen.Record.HPZ1 where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data HPZ1 = HPZ1 {
  rate :: S.Rate,
  in :: S.UGen
  } deriving (Show)
hPZ1 :: HPZ1
hPZ1 = HPZ1 {
  rate = S.AR,
  in = 0.0
  }
mkHPZ1 :: HPZ1 -> S.UGen
mkHPZ1 (HPZ1 r a') = S.mkOsc r "HPZ1" [a'] 1
instance Make HPZ1 where
  ugen = mkHPZ1
