-- | Applies the Hilbert transform to an input signal.
module Sound.SC3.UGen.Record.Hilbert where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Hilbert = Hilbert {
  in :: S.UGen
  } deriving (Show)
hilbert :: Hilbert
hilbert = Hilbert {
  in = 0.0
  }
mkHilbert :: Hilbert -> S.UGen
mkHilbert (Hilbert  a') = S.mkOsc S.AR "Hilbert" [a'] 2
instance Make Hilbert where
  ugen = mkHilbert
