-- | (Undocumented class)
module Sound.SC3.UGen.Record.InGrainIBF where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data InGrainIBF = InGrainIBF {
  trigger :: S.UGen,
  dur :: S.UGen,
  in :: S.UGen,
  envbuf1 :: S.UGen,
  envbuf2 :: S.UGen,
  ifac :: S.UGen,
  azimuth :: S.UGen,
  elevation :: S.UGen,
  rho :: S.UGen,
  wComp :: S.UGen
  } deriving (Show)
inGrainIBF :: InGrainIBF
inGrainIBF = InGrainIBF {
  trigger = 0.0,
  dur = 1.0,
  in = 0.0,
  envbuf1 = 0.0,
  envbuf2 = 0.0,
  ifac = 0.5,
  azimuth = 0.0,
  elevation = 0.0,
  rho = 1.0,
  wComp = 0.0
  }
mkInGrainIBF :: InGrainIBF -> S.UGen
mkInGrainIBF (InGrainIBF  a' b' c' d' e' f' g' h' i' j') = S.mkOsc S.AR "InGrainIBF" [a',b',c',d',e',f',g',h',i',j'] 4
instance Make InGrainIBF where
  ugen = mkInGrainIBF
