-- | Dynamic ramp noise
module Sound.SC3.UGen.Record.LFDNoise1 where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data LFDNoise1 = LFDNoise1 {
  rate :: S.Rate,
  freq :: S.UGen
  } deriving (Show)
lFDNoise1 :: LFDNoise1
lFDNoise1 = LFDNoise1 {
  rate = S.AR,
  freq = 500.0
  }
mkLFDNoise1 :: LFDNoise1 -> S.UGen
mkLFDNoise1 (LFDNoise1 r a') = S.mkOsc r "LFDNoise1" [a'] 1
instance Make LFDNoise1 where
  ugen = mkLFDNoise1
