-- | (Undocumented class)
module Sound.SC3.UGen.Record.LPCAnalyzer where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data LPCAnalyzer = LPCAnalyzer {
  input :: S.UGen,
  source :: S.UGen,
  n :: S.UGen,
  p :: S.UGen,
  testE :: S.UGen,
  delta :: S.UGen,
  windowtype :: S.UGen
  } deriving (Show)
lPCAnalyzer :: LPCAnalyzer
lPCAnalyzer = LPCAnalyzer {
  input = 0.0,
  source = 0.01,
  n = 256.0,
  p = 10.0,
  testE = 0.0,
  delta = 0.999,
  windowtype = 0.0
  }
mkLPCAnalyzer :: LPCAnalyzer -> S.UGen
mkLPCAnalyzer (LPCAnalyzer  a' b' c' d' e' f' g') = S.mkOsc S.AR "LPCAnalyzer" [a',b',c',d',e',f',g'] 1
instance Make LPCAnalyzer where
  ugen = mkLPCAnalyzer
