-- | Exponential lag
module Sound.SC3.UGen.Record.Lag2UD where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Lag2UD = Lag2UD {
  rate :: S.Rate,
  in :: S.UGen,
  lagTimeU :: S.UGen,
  lagTimeD :: S.UGen
  } deriving (Show)
lag2UD :: Lag2UD
lag2UD = Lag2UD {
  rate = S.AR,
  in = 0.0,
  lagTimeU = 0.1,
  lagTimeD = 0.1
  }
mkLag2UD :: Lag2UD -> S.UGen
mkLag2UD (Lag2UD r a' b' c') = S.mkOsc r "Lag2UD" [a',b',c'] 1
instance Make Lag2UD where
  ugen = mkLag2UD
