-- | Peak limiter
module Sound.SC3.UGen.Record.Limiter where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Limiter = Limiter {
  in :: S.UGen,
  level :: S.UGen,
  dur :: S.UGen
  } deriving (Show)
limiter :: Limiter
limiter = Limiter {
  in = 0.0,
  level = 1.0,
  dur = 0.01
  }
mkLimiter :: Limiter -> S.UGen
mkLimiter (Limiter  a' b' c') = S.mkOsc S.AR "Limiter" [a',b',c'] 1
instance Make Limiter where
  ugen = mkLimiter
