-- | Median filter.
module Sound.SC3.UGen.Record.Median where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Median = Median {
  rate :: S.Rate,
  length :: S.UGen,
  in :: S.UGen
  } deriving (Show)
median :: Median
median = Median {
  rate = S.AR,
  length = 3.0,
  in = 0.0
  }
mkMedian :: Median -> S.UGen
mkMedian (Median r a' b') = S.mkOsc r "Median" [a',b'] 1
instance Make Median where
  ugen = mkMedian
