-- | Base class for UGens that alter FFT chains
module Sound.SC3.UGen.Record.PV_ChainUGen where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data PV_ChainUGen = PV_ChainUGen {
  maxSize :: S.UGen
  } deriving (Show)
pV_ChainUGen :: PV_ChainUGen
pV_ChainUGen = PV_ChainUGen {
  maxSize = 0.0
  }
mkPV_ChainUGen :: PV_ChainUGen -> S.UGen
mkPV_ChainUGen (PV_ChainUGen  a') = S.mkOsc S.AR "PV_ChainUGen" [a'] 1
instance Make PV_ChainUGen where
  ugen = mkPV_ChainUGen
