-- | Complex conjugate
module Sound.SC3.UGen.Record.PV_Conj where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data PV_Conj = PV_Conj {
  buffer :: S.UGen
  } deriving (Show)
pV_Conj :: PV_Conj
pV_Conj = PV_Conj {
  buffer = 0.0
  }
mkPV_Conj :: PV_Conj -> S.UGen
mkPV_Conj (PV_Conj  a') = S.mkOsc S.KR "PV_Conj" [a'] 1
instance Make PV_Conj where
  ugen = mkPV_Conj
