-- | Copy magnitudes and phases.
module Sound.SC3.UGen.Record.PV_CopyPhase where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data PV_CopyPhase = PV_CopyPhase {
  bufferA :: S.UGen,
  bufferB :: S.UGen
  } deriving (Show)
pV_CopyPhase :: PV_CopyPhase
pV_CopyPhase = PV_CopyPhase {
  bufferA = 0.0,
  bufferB = 0.0
  }
mkPV_CopyPhase :: PV_CopyPhase -> S.UGen
mkPV_CopyPhase (PV_CopyPhase  a' b') = S.mkOsc S.KR "PV_CopyPhase" [a',b'] 1
instance Make PV_CopyPhase where
  ugen = mkPV_CopyPhase
