-- | Multiply magnitudes.
module Sound.SC3.UGen.Record.PV_MagMul where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data PV_MagMul = PV_MagMul {
  bufferA :: S.UGen,
  bufferB :: S.UGen
  } deriving (Show)
pV_MagMul :: PV_MagMul
pV_MagMul = PV_MagMul {
  bufferA = 0.0,
  bufferB = 0.0
  }
mkPV_MagMul :: PV_MagMul -> S.UGen
mkPV_MagMul (PV_MagMul  a' b') = S.mkOsc S.KR "PV_MagMul" [a',b'] 1
instance Make PV_MagMul where
  ugen = mkPV_MagMul
