-- | When triggered, pauses a node.
module Sound.SC3.UGen.Record.Pause where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Pause = Pause {
  gate :: S.UGen,
  id :: S.UGen
  } deriving (Show)
pause :: Pause
pause = Pause {
  gate = 0.0,
  id = 0.0
  }
mkPause :: Pause -> S.UGen
mkPause (Pause  a' b') = S.mkOsc S.KR "Pause" [a',b'] 1
instance Make Pause where
  ugen = mkPause
