-- | (Undocumented class)
module Sound.SC3.UGen.Record.RedDPCMencode where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data RedDPCMencode = RedDPCMencode {
  rate :: S.Rate,
  in :: S.UGen,
  round :: S.UGen
  } deriving (Show)
redDPCMencode :: RedDPCMencode
redDPCMencode = RedDPCMencode {
  rate = S.AR,
  in = 0.0,
  round = 0.0
  }
mkRedDPCMencode :: RedDPCMencode -> S.UGen
mkRedDPCMencode (RedDPCMencode r a' b') = S.mkOsc r "RedDPCMencode" [a',b'] 1
instance Make RedDPCMencode where
  ugen = mkRedDPCMencode
