-- | (Undocumented class)
module Sound.SC3.UGen.Record.RosslerL where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data RosslerL = RosslerL {
  freq :: S.UGen,
  a :: S.UGen,
  b :: S.UGen,
  c :: S.UGen,
  h :: S.UGen,
  xi :: S.UGen,
  yi :: S.UGen,
  zi :: S.UGen
  } deriving (Show)
rosslerL :: RosslerL
rosslerL = RosslerL {
  freq = 22050.0,
  a = 0.2,
  b = 0.2,
  c = 5.7,
  h = 0.05,
  xi = 0.1,
  yi = 0.0,
  zi = 0.0
  }
mkRosslerL :: RosslerL -> S.UGen
mkRosslerL (RosslerL  a' b' c' d' e' f' g' h') = S.mkOsc S.AR "RosslerL" [a',b',c',d',e',f',g',h'] 3
instance Make RosslerL where
  ugen = mkRosslerL
