-- | Track minimum level.
module Sound.SC3.UGen.Record.RunningMin where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data RunningMin = RunningMin {
  rate :: S.Rate,
  in :: S.UGen,
  trig :: S.UGen
  } deriving (Show)
runningMin :: RunningMin
runningMin = RunningMin {
  rate = S.AR,
  in = 0.0,
  trig = 0.0
  }
mkRunningMin :: RunningMin -> S.UGen
mkRunningMin (RunningMin r a' b') = S.mkOsc r "RunningMin" [a',b'] 1
instance Make RunningMin where
  ugen = mkRunningMin
