-- | (Undocumented class)
module Sound.SC3.UGen.Record.SLOnset where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data SLOnset = SLOnset {
  input :: S.UGen,
  memorysize1 :: S.UGen,
  before :: S.UGen,
  after :: S.UGen,
  threshold :: S.UGen,
  hysteresis :: S.UGen
  } deriving (Show)
sLOnset :: SLOnset
sLOnset = SLOnset {
  input = 0.0,
  memorysize1 = 20.0,
  before = 5.0,
  after = 5.0,
  threshold = 10.0,
  hysteresis = 10.0
  }
mkSLOnset :: SLOnset -> S.UGen
mkSLOnset (SLOnset  a' b' c' d' e' f') = S.mkOsc S.KR "SLOnset" [a',b',c',d',e',f'] 1
instance Make SLOnset where
  ugen = mkSLOnset
