-- | (Undocumented class)
module Sound.SC3.UGen.Record.SVF where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data SVF = SVF {
  rate :: S.Rate,
  signal :: S.UGen,
  cutoff :: S.UGen,
  res :: S.UGen,
  lowpass :: S.UGen,
  bandpass :: S.UGen,
  highpass :: S.UGen,
  notch :: S.UGen,
  peak :: S.UGen
  } deriving (Show)
sVF :: SVF
sVF = SVF {
  rate = S.AR,
  signal = 0.0,
  cutoff = 2200.0,
  res = 0.1,
  lowpass = 1.0,
  bandpass = 0.0,
  highpass = 0.0,
  notch = 0.0,
  peak = 0.0
  }
mkSVF :: SVF -> S.UGen
mkSVF (SVF r a' b' c' d' e' f' g' h') = S.mkOsc r "SVF" [a',b',c',d',e',f',g',h'] 1
instance Make SVF where
  ugen = mkSVF
