-- | Send a trigger message from the server back to the client.
module Sound.SC3.UGen.Record.SendTrig where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data SendTrig = SendTrig {
  rate :: S.Rate,
  in :: S.UGen,
  id :: S.UGen,
  value :: S.UGen
  } deriving (Show)
sendTrig :: SendTrig
sendTrig = SendTrig {
  rate = S.AR,
  in = 0.0,
  id = 0.0,
  value = 0.0
  }
mkSendTrig :: SendTrig -> S.UGen
mkSendTrig (SendTrig r a' b' c') = S.mkOsc r "SendTrig" [a',b',c'] 1
instance Make SendTrig where
  ugen = mkSendTrig
