-- | Wave shaper.
module Sound.SC3.UGen.Record.Shaper where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Shaper = Shaper {
  rate :: S.Rate,
  bufnum :: S.UGen,
  in :: S.UGen
  } deriving (Show)
shaper :: Shaper
shaper = Shaper {
  rate = S.AR,
  bufnum = 0.0,
  in = 0.0
  }
mkShaper :: Shaper -> S.UGen
mkShaper (Shaper r a' b') = S.mkOsc r "Shaper" [a',b'] 1
instance Make Shaper where
  ugen = mkShaper
