-- | (Undocumented class)
module Sound.SC3.UGen.Record.SinGrainBF where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data SinGrainBF = SinGrainBF {
  trigger :: S.UGen,
  dur :: S.UGen,
  freq :: S.UGen,
  azimuth :: S.UGen,
  elevation :: S.UGen,
  rho :: S.UGen,
  wComp :: S.UGen
  } deriving (Show)
sinGrainBF :: SinGrainBF
sinGrainBF = SinGrainBF {
  trigger = 0.0,
  dur = 1.0,
  freq = 440.0,
  azimuth = 0.0,
  elevation = 0.0,
  rho = 1.0,
  wComp = 0.0
  }
mkSinGrainBF :: SinGrainBF -> S.UGen
mkSinGrainBF (SinGrainBF  a' b' c' d' e' f' g') = S.mkOsc S.AR "SinGrainBF" [a',b',c',d',e',f',g'] 4
instance Make SinGrainBF where
  ugen = mkSinGrainBF
