-- | (Undocumented class)
module Sound.SC3.UGen.Record.SpectralEntropy where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data SpectralEntropy = SpectralEntropy {
  fft :: S.UGen,
  fftsize :: S.UGen,
  numbands :: S.UGen
  } deriving (Show)
spectralEntropy :: SpectralEntropy
spectralEntropy = SpectralEntropy {
  fft = 0.0,
  fftsize = 2048.0,
  numbands = 1.0
  }
mkSpectralEntropy :: SpectralEntropy -> S.UGen
mkSpectralEntropy (SpectralEntropy  a' b' c') = S.mkOsc S.KR "SpectralEntropy" [a',b',c'] 1
instance Make SpectralEntropy where
  ugen = mkSpectralEntropy
