-- | (Undocumented class)
module Sound.SC3.UGen.Record.SpruceBudworm where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data SpruceBudworm = SpruceBudworm {
  reset :: S.UGen,
  rate :: S.UGen,
  k1 :: S.UGen,
  k2 :: S.UGen,
  alpha :: S.UGen,
  beta :: S.UGen,
  mu :: S.UGen,
  rho :: S.UGen,
  initx :: S.UGen,
  inity :: S.UGen
  } deriving (Show)
spruceBudworm :: SpruceBudworm
spruceBudworm = SpruceBudworm {
  reset = 0.0,
  rate = 0.1,
  k1 = 27.9,
  k2 = 1.5,
  alpha = 0.1,
  beta = 10.1,
  mu = 0.3,
  rho = 10.1,
  initx = 0.9,
  inity = 0.1
  }
mkSpruceBudworm :: SpruceBudworm -> S.UGen
mkSpruceBudworm (SpruceBudworm  a' b' c' d' e' f' g' h' i' j') = S.mkOsc S.AR "SpruceBudworm" [a',b',c',d',e',f',g',h',i',j'] 2
instance Make SpruceBudworm where
  ugen = mkSpruceBudworm
