-- | (Undocumented class)
module Sound.SC3.UGen.Record.StkBeeThree where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data StkBeeThree = StkBeeThree {
  rate :: S.Rate,
  freq :: S.UGen,
  op4gain :: S.UGen,
  op3gain :: S.UGen,
  lfospeed :: S.UGen,
  lfodepth :: S.UGen,
  adsrtarget :: S.UGen,
  trig :: S.UGen
  } deriving (Show)
stkBeeThree :: StkBeeThree
stkBeeThree = StkBeeThree {
  rate = S.AR,
  freq = 440.0,
  op4gain = 10.0,
  op3gain = 20.0,
  lfospeed = 64.0,
  lfodepth = 0.0,
  adsrtarget = 64.0,
  trig = 1.0
  }
mkStkBeeThree :: StkBeeThree -> S.UGen
mkStkBeeThree (StkBeeThree r a' b' c' d' e' f' g') = S.mkOsc r "StkBeeThree" [a',b',c',d',e',f',g'] 1
instance Make StkBeeThree where
  ugen = mkStkBeeThree
