-- | (Undocumented class)
module Sound.SC3.UGen.Record.StkBlowHole where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data StkBlowHole = StkBlowHole {
  rate :: S.Rate,
  freq :: S.UGen,
  reedstiffness :: S.UGen,
  noisegain :: S.UGen,
  tonehole :: S.UGen,
  register :: S.UGen,
  breathpressure :: S.UGen
  } deriving (Show)
stkBlowHole :: StkBlowHole
stkBlowHole = StkBlowHole {
  rate = S.AR,
  freq = 440.0,
  reedstiffness = 64.0,
  noisegain = 20.0,
  tonehole = 64.0,
  register = 11.0,
  breathpressure = 64.0
  }
mkStkBlowHole :: StkBlowHole -> S.UGen
mkStkBlowHole (StkBlowHole r a' b' c' d' e' f') = S.mkOsc r "StkBlowHole" [a',b',c',d',e',f'] 1
instance Make StkBlowHole where
  ugen = mkStkBlowHole
