-- | Control rate trigger to audio rate trigger converter
module Sound.SC3.UGen.Record.T2A where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data T2A = T2A {
  in :: S.UGen,
  offset :: S.UGen
  } deriving (Show)
t2A :: T2A
t2A = T2A {
  in = 0.0,
  offset = 0.0
  }
mkT2A :: T2A -> S.UGen
mkT2A (T2A  a' b') = S.mkOsc S.AR "T2A" [a',b'] 1
instance Make T2A where
  ugen = mkT2A
