-- | Trigger delay.
module Sound.SC3.UGen.Record.TDelay where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data TDelay = TDelay {
  rate :: S.Rate,
  in :: S.UGen,
  dur :: S.UGen
  } deriving (Show)
tDelay :: TDelay
tDelay = TDelay {
  rate = S.AR,
  in = 0.0,
  dur = 0.1
  }
mkTDelay :: TDelay -> S.UGen
mkTDelay (TDelay r a' b') = S.mkOsc r "TDelay" [a',b'] 1
instance Make TDelay where
  ugen = mkTDelay
