-- | Buffer granulator.
module Sound.SC3.UGen.Record.TGrains where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data TGrains = TGrains {
  trigger :: S.UGen,
  bufnum :: S.UGen,
  rate :: S.UGen,
  centerPos :: S.UGen,
  dur :: S.UGen,
  pan :: S.UGen,
  amp :: S.UGen,
  interp :: S.UGen
  } deriving (Show)
tGrains :: TGrains
tGrains = TGrains {
  trigger = 0.0,
  bufnum = 0.0,
  rate = 1.0,
  centerPos = 0.0,
  dur = 0.1,
  pan = 0.0,
  amp = 0.1,
  interp = 4.0
  }
mkTGrains :: TGrains -> S.UGen
mkTGrains (TGrains  a' b' c' d' e' f' g' h') = S.mkOsc S.AR "TGrains" [a',b',c',d',e',f',g',h'] undefined
instance Make TGrains where
  ugen = mkTGrains
