-- | Single tap into a delayline
module Sound.SC3.UGen.Record.Tap where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Tap = Tap {
  bufnum :: S.UGen,
  delaytime :: S.UGen
  } deriving (Show)
tap :: Tap
tap = Tap {
  bufnum = 0.0,
  delaytime = 0.2
  }
mkTap :: Tap -> S.UGen
mkTap (Tap  a' b') = S.mkOsc S.AR "Tap" [a',b'] undefined
instance Make Tap where
  ugen = mkTap
