-- | Timed trigger.
module Sound.SC3.UGen.Record.Trig where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Trig = Trig {
  rate :: S.Rate,
  in :: S.UGen,
  dur :: S.UGen
  } deriving (Show)
trig :: Trig
trig = Trig {
  rate = S.AR,
  in = 0.0,
  dur = 0.1
  }
mkTrig :: Trig -> S.UGen
mkTrig (Trig r a' b') = S.mkOsc r "Trig" [a',b'] 1
instance Make Trig where
  ugen = mkTrig
