-- | FIXME: TrigControl purpose.
module Sound.SC3.UGen.Record.TrigControl where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data TrigControl = TrigControl {
  rate :: S.Rate,
  values :: S.UGen
  } deriving (Show)
trigControl :: TrigControl
trigControl = TrigControl {
  rate = S.AR,
  values = 0.0
  }
mkTrigControl :: TrigControl -> S.UGen
mkTrigControl (TrigControl r a') = S.mkOsc r "TrigControl" [a'] 1
instance Make TrigControl where
  ugen = mkTrigControl
