-- | Stream in audio from a file, with variable rate
module Sound.SC3.UGen.Record.VDiskIn where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data VDiskIn = VDiskIn {
  bufnum :: S.UGen,
  rate :: S.UGen,
  loop :: S.UGen,
  sendID :: S.UGen
  } deriving (Show)
vDiskIn :: VDiskIn
vDiskIn = VDiskIn {
  bufnum = 0.0,
  rate = 1.0,
  loop = 0.0,
  sendID = 0.0
  }
mkVDiskIn :: VDiskIn -> S.UGen
mkVDiskIn (VDiskIn  a' b' c' d') = S.mkOsc S.AR "VDiskIn" [a',b',c',d'] undefined
instance Make VDiskIn where
  ugen = mkVDiskIn
