-- | Wrap a signal outside given thresholds.
module Sound.SC3.UGen.Record.Wrap where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Wrap = Wrap {
  rate :: S.Rate,
  in :: S.UGen,
  lo :: S.UGen,
  hi :: S.UGen
  } deriving (Show)
wrap :: Wrap
wrap = Wrap {
  rate = S.AR,
  in = 0.0,
  lo = 0.0,
  hi = 1.0
  }
mkWrap :: Wrap -> S.UGen
mkWrap (Wrap r a' b' c') = S.mkOsc r "Wrap" [a',b',c'] 1
instance Make Wrap where
  ugen = mkWrap
